import { CssManager } from './dees-element.classes.cssmanager.js';

// lit exports
export { html, TemplateResult, css, unsafeCSS, render } from 'lit';

export { customElement } from 'lit/decorators/custom-element.js';

export { property } from 'lit/decorators/property.js';

export { state } from 'lit/decorators/state.js';

// domtools exports
import * as domtools from '@designestate/dees-domtools';
export { domtools };

// DeesElements exports
export { DeesElement } from './dees-element.classes.dees-element.js';

/**
 * a singleton instance of CssManager
 */
export const cssManager = new CssManager();
